org.apache.jmeter.gui.action

## Class LogLevelCommand

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.LogLevelCommand

- All Implemented Interfaces:
    Command

      public class LogLevelCommand
      extends AbstractAction

  Implements log level setting menu item.
  Since:
    3.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogLevelCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doAction(ActionEvent ev)`
    `Set<String>` | `getActionNames()`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LogLevelCommand

          public LogLevelCommand()

  - ### Method Detail

    - #### doAction

          public void doAction(ActionEvent ev)

      Specified by:
        `doAction` in interface `Command`
      Overrides:
        `doAction` in class `AbstractAction`
      See Also:
        `Command.doAction(ActionEvent)`

    - #### getActionNames

          public Set<String> getActionNames()

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.